type token =
  | LPAREN
  | RPAREN
  | LBRACE
  | RBRACE
  | LBRACKET
  | RBRACKET
  | SEMICOLON
  | COMMA
  | COLON
  | DOT
  | IF
  | ELSE
  | FOR
  | WHILE
  | RETURN
  | NEW
  | SWITCH
  | CASE
  | FUNCTION
  | DEFAULT
  | VALUE
  | INT
  | FLOAT
  | STRING
  | VOID
  | BOOLEAN
  | LT
  | GT
  | LE
  | GE
  | NE
  | EQ
  | NOT
  | XOR
  | XNOR
  | AND
  | NAND
  | OR
  | NOR
  | ASSIGN
  | PLUS
  | MINUS
  | MULTIPLY
  | DIVIDE
  | MODULUS
  | RECIPROCAL
  | RES
  | BIT
  | SERIES
  | PARALLEL
  | INTLiteral of (int)
  | FLOATLiteral of (float)
  | ID of (string)
  | BITLiteral of (string)
  | Sentence of (string)
  | EOF

val program :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Ast.program
